| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::traffic_counter Class Reference

`#include <uhd/rfnoc/traffic_counter.hpp>`

## Public Types
typedef std::shared_ptr< traffic_counter > | sptr
typedef std::function< void(const uint32_t addr, const uint32_t data)> | write_reg_fn_t
typedef std::function< uint64_t(const uint32_t addr)> | read_reg_fn_t

## Public Member Functions
| traffic_counter (uhd::property_tree::sptr tree, uhd::fs_path root_path, write_reg_fn_t write_reg_fn, read_reg_fn_t read_reg_fn)

## Member Typedef Documentation

## ◆ read_reg_fn_t

typedef std::function<uint64_t(const uint32_t addr)> uhd::rfnoc::traffic_counter::read_reg_fn_t

## ◆ sptr

typedef std::shared_ptr<traffic_counter> uhd::rfnoc::traffic_counter::sptr

## ◆ write_reg_fn_t

typedef std::function<void(const uint32_t addr, const uint32_t data)> uhd::rfnoc::traffic_counter::write_reg_fn_t

## Constructor & Destructor Documentation

## ◆ traffic_counter()

uhd::rfnoc::traffic_counter::traffic_counter | ( | uhd::property_tree::sptr | tree,
|  | uhd::fs_path | root_path,
|  | write_reg_fn_t | write_reg_fn,
|  | read_reg_fn_t | read_reg_fn )
| inline

The documentation for this class was generated from the following file:

- traffic_counter.hpp